<?php

namespace LatePoint\GoogleCalendarAddon\GuzzleHttp\Promise;

final class Is
{
    /**
     * Returns true if a promise is pending.
     *
     * @return bool
     */
    public static function pending(\LatePoint\GoogleCalendarAddon\GuzzleHttp\Promise\PromiseInterface $promise)
    {
        return $promise->getState() === \LatePoint\GoogleCalendarAddon\GuzzleHttp\Promise\PromiseInterface::PENDING;
    }
    /**
     * Returns true if a promise is fulfilled or rejected.
     *
     * @return bool
     */
    public static function settled(\LatePoint\GoogleCalendarAddon\GuzzleHttp\Promise\PromiseInterface $promise)
    {
        return $promise->getState() !== \LatePoint\GoogleCalendarAddon\GuzzleHttp\Promise\PromiseInterface::PENDING;
    }
    /**
     * Returns true if a promise is fulfilled.
     *
     * @return bool
     */
    public static function fulfilled(\LatePoint\GoogleCalendarAddon\GuzzleHttp\Promise\PromiseInterface $promise)
    {
        return $promise->getState() === \LatePoint\GoogleCalendarAddon\GuzzleHttp\Promise\PromiseInterface::FULFILLED;
    }
    /**
     * Returns true if a promise is rejected.
     *
     * @return bool
     */
    public static function rejected(\LatePoint\GoogleCalendarAddon\GuzzleHttp\Promise\PromiseInterface $promise)
    {
        return $promise->getState() === \LatePoint\GoogleCalendarAddon\GuzzleHttp\Promise\PromiseInterface::REJECTED;
    }
}
