<?php
if ( ! defined( 'ABSPATH' ) ) {
  exit; // Exit if accessed directly.
}


if ( ! class_exists( 'OsPaymentsStripeController' ) ) :


  class OsPaymentsStripeController extends OsController {


    function __construct(){
      parent::__construct();

      $this->action_access['customer'] = array_merge($this->action_access['customer'], ['create_payment_intent']);
      $this->views_folder = plugin_dir_path( __FILE__ ) . '../views/payments_stripe/';
    }

    public function create_payment_intent(){
      OsStepsHelper::set_booking_object($this->params['booking']);
      OsStepsHelper::set_restrictions($this->params['restrictions']);
      $customer = OsAuthHelper::get_logged_in_customer();
      $stripe_customer_id = $customer->get_meta_by_key('stripe_customer_id');
      if($stripe_customer_id){
        $stripe_customer = OsPaymentsStripeHelper::get_customer($stripe_customer_id);
      }else{
        $stripe_customer = OsPaymentsStripeHelper::create_customer($customer);
        $customer->save_meta_by_key('stripe_customer_id', $stripe_customer->id);
      }

      $intent = OsPaymentsStripeHelper::create_payment_intent(OsStepsHelper::$booking_object, $stripe_customer->id);

      if($this->get_return_format() == 'json'){
        $this->send_json(array('status' => LATEPOINT_STATUS_SUCCESS, 'message' => $intent->client_secret));
      }
    }
  }


endif;
